package org.zipcoder.store;

import java.util.ArrayList;
import java.util.List;

public class ListMap implements MyMap {
    // instance field that is intialize to an ArrayList
    private List<Entry> entries = new ArrayList<>();

    @Override
    public int size() {
        return entries.size();
    }

    @Override
    public boolean isEmptry() {
        if (size()==0) return true;
        else return false;
    }

    @Override
    public Cart get(User key) {
        // find the cart associate with the key
        for (Entry en : entries){
            if(en.getKey() == key){
                return en.getValue();
            }
        }
        return null;
    }

    @Override
    public void put(User key, Cart value) {
        // add the key, value entry to the entries list
        entries.add(new Entry(key, value));

    }


    @Override
    public List<User> getKeys() {
        // get all the keys in the map
        List<User> list = new ArrayList<>();
        for(Entry en : entries){
            list.add(en.getKey());
        }
        return list;
    }

    @Override
    public List<Cart> getValues() {
        // get all the values in the map
        List<Cart> list = new ArrayList<>();
        for(Entry en : entries){
            list.add(en.getValue());
        }
        return list;
    }

    @Override
    public Cart remove(User key) {
        return null;
    }
}
